## geners 0.0~svn60%2Bds

=== debian/changelog ===
geners (0.0~svn60+ds-4) unstable; urgency=medium

  * Raising CMake minimim required version to build with CMake 4
    (Closes: #1112946)
  * Marking libgeners-dev as Multi-Arch: same
  * Raising Standards version to 4.7.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Mon, 01 Sep 2025 07:58:57 +0200

geners (0.0~svn60+ds-3) unstable; urgency=medium

  * Raising Standards version to 4.7.0 (no change)
  * Rely on pre-initialized dpkg-architecture variables.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libgeners1: Add Multi-Arch: same.

 -- Pierre Gruet <pgt@debian.org>  Thu, 02 May 2024 23:48:33 +0200

geners (0.0~svn60+ds-2) unstable; urgency=medium

  * Installing icc files, they could be included by other programs

 -- Pierre Gruet <pgt@debian.org>  Fri, 10 Dec 2021 21:14:21 +0100

geners (0.0~svn60+ds-1) unstable; urgency=medium

  * Initial release (Closes: #999424)

 -- Pierre Gruet <pgt@debian.org>  Mon, 15 Nov 2021 17:26:53 +0100
