=== debian/control ===
Source: geners
Maintainer: Pierre Gruet <pgt@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libbz2-dev,
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/geners
Vcs-Git: https://salsa.debian.org/debian/geners.git
Homepage: https://geners.hepforge.org/
Rules-Requires-Root: no

Package: libgeners1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: generic serialization library for C++ (shared library)
 The Generic Serialization library is designed to address the problem of C++
 object persistence in situations where the most typical data access pattern is
 "write once read many" (WORM). "Geners" is a set of tools and conventions
 which allows its users to develop C++ classes that can be converted to and
 from a storable stream of bytes in a well-organized and type-safe manner.
 Serialization of STL containers is supported, including the ones added in the
 C++11 standard. Independent versioning of each class definition is allowed.
 .
 Among others, compared to the boost serialization package, Geners archives
 provide random access to stored objects and can be used to create and
 serialize very large archive-based objects. Yet, only binary archives are
 implemented, and implementing non-intrusive serialization is less transparent.
 .
 This package contains the shared library.

Package: libgeners-dev
Architecture: any
Section: libdevel
Depends: libgeners1 (= ${binary:Version}),
         libbz2-dev,
         zlib1g-dev,
         ${misc:Depends}
Multi-Arch: same
Description: generic serialization library for C++ (development package)
 The Generic Serialization library is designed to address the problem of C++
 object persistence in situations where the most typical data access pattern is
 "write once read many" (WORM). "Geners" is a set of tools and conventions
 which allows its users to develop C++ classes that can be converted to and
 from a storable stream of bytes in a well-organized and type-safe manner.
 Serialization of STL containers is supported, including the ones added in the
 C++11 standard. Independent versioning of each class definition is allowed.
 .
 Among others, compared to the boost serialization package, Geners archives
 provide random access to stored objects and can be used to create and
 serialize very large archive-based objects. Yet, only binary archives are
 implemented, and implementing non-intrusive serialization is less transparent.
 .
 This package contains the headers and the static library.
