=== debian/watch ===
version=4

opts="mode=svn, pgpmode=none, \
      repack, repacksuffix=+ds, compression=xz, \
      dversionmangle=s/\+ds//" \
 https://svn.hepforge.org/generssvn/trunk HEAD
